from os import environ
from aiogram import Bot, Dispatcher
from aiogram.client.default import DefaultBotProperties
from aiogram.enums import ParseMode
from aiogram.filters import Command
from aiogram.types import Message
from u232ping.db import Sqlite
from u232ping.controller import Controller
import logging
import sys

TOKEN = environ["BOT_TOKEN"] 
dp = Dispatcher()
c = Controller(Sqlite())


@dp.message(Command("all"))
async def all(message: Message) -> None:
   group = await c.all()
   await message.answer(str(group))


@dp.message(Command("1"))
async def first(message: Message) -> None:
   group = await c.first() 
   await message.answer(str(group))


@dp.message(Command("2"))
async def second(message: Message) -> None:
    group = await c.second()
    await message.answer(str(group))


async def main() -> None:
    bot = Bot(token=TOKEN, default=DefaultBotProperties(parse_mode=ParseMode.HTML))
    logging.basicConfig(level=logging.INFO, stream=sys.stdout)
    await dp.start_polling(bot)
